'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Pulse = require('better-react-spinkit/dist/Pulse');

var _Pulse2 = _interopRequireDefault(_Pulse);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var BisuReactLoading = function BisuReactLoading(_ref) {
  var text = _ref.text,
      overlay = _ref.overlay,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['text', 'overlay', 'size']);

  var cl = (0, _classnames2.default)('bisu--react-loading', { is_overlay: overlay });
  return _react2.default.createElement(
    'div',
    { className: cl },
    _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(_Pulse2.default, _extends({
        size: size
      }, props, {
        style: {
          display: 'flex',
          justifyContent: 'center'
        }
      }))
    ),
    _react2.default.createElement(
      'div',
      { className: 'text-center' },
      _react2.default.createElement(
        'small',
        null,
        _react2.default.createElement(
          'em',
          null,
          text
        )
      )
    )
  );
};

BisuReactLoading.defaultProps = {
  size: 50,
  text: 'Loading...'
};

exports.default = BisuReactLoading;
module.exports = exports['default'];