var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import Pulse from 'better-react-spinkit/dist/Pulse';
import cn from 'classnames';

var BisuReactLoading = function BisuReactLoading(_ref) {
  var text = _ref.text,
      overlay = _ref.overlay,
      size = _ref.size,
      props = _objectWithoutProperties(_ref, ['text', 'overlay', 'size']);

  var cl = cn('bisu--react-loading', { is_overlay: overlay });
  return React.createElement(
    'div',
    { className: cl },
    React.createElement(
      'div',
      null,
      React.createElement(Pulse, _extends({
        size: size
      }, props, {
        style: {
          display: 'flex',
          justifyContent: 'center'
        }
      }))
    ),
    React.createElement(
      'div',
      { className: 'text-center' },
      React.createElement(
        'small',
        null,
        React.createElement(
          'em',
          null,
          text
        )
      )
    )
  );
};

BisuReactLoading.defaultProps = {
  size: 50,
  text: 'Loading...'
};

export default BisuReactLoading;